MCD_DUMP_DATA_UNREGISTER(3)

NAME
mcd_dump_data_unregister - unregister previously registered dump data

SYNOPSIS
#include <minicoredumper.h>

int mcd_dump_data_unregister(mcd_dump_data_t dd);

Compile and link with -lminicoredumper.

DESCRIPTION
The mcd_dump_data_unregister() function unregisters dump data previously registered with mcd_dump_data_register_bin(3), mcd_dump_data_register_text(3), mcd_vdump_data_register_text(3). dd is a pointer to the registered dump that was saved during registration.

RETURN VALUE
mcd_dump_data_unregister() returns 0 on success, otherwise an error value is returned.

ERRORS

ENOKEY
    dd was not found in the list of registered dumps.

SEE ALSO
libminicoredumper(7), mcd_dump_data_register_bin(3), mcd_dump_data_register_text(3), mcd_vdump_data_register_text(3)

The DiaMon Workgroup: <http://www.diamon.org>